Name:          fluent-reflection
Version:       0.1.5
Release:       1%{?dist}
Summary:       Fluent reflection library for Java
License:       ASL 2.0
URL:           http://fluent-reflection.lexicalscope.com/
Source0:       https://github.com/lexicalscope/fluent-reflection/archive/%{name}-parent-%{version}.tar.gz
# fluent-reflection package don't include the license file
# reported @ https://github.com/lexicalscope/fluent-reflection/issues/5
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.google.inject:guice::no_aop:)
BuildRequires: mvn(com.googlecode.lambdaj:lambdaj)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.hamcrest:hamcrest-integration)
BuildRequires: mvn(org.jmock:jmock-junit4)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
A library providing a neat interface to the
Java language reflection facilities.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

#org.apache.maven.scm:maven-scm-provider-gitexe:1.5
#org.apache.maven.scm:maven-scm-manager-plexus:1.5
%pom_xpath_remove pom:build/pom:extensions

# Unwanted
%pom_remove_plugin -r :maven-site-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin %{name}
%pom_remove_plugin :cobertura-maven-plugin %{name}
%pom_remove_plugin :jarjar-maven-plugin %{name}
%pom_remove_plugin :site-maven-plugin %{name}
%pom_remove_plugin :maven-javadoc-plugin %{name}
%pom_remove_plugin :maven-source-plugin %{name}

%pom_change_dep -r junit: :junit

# Require org.jmock:jmock-junit4:2.6.0-RC2
rm -r %{name}/src/test/java/com/lexicalscope/fluentreflection/TestBoundReflectedMemberImpl.java \
 %{name}/src/test/java/com/lexicalscope/fluentreflection/TestBoundReflectedFieldImpl.java

cp -p %{SOURCE1} LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%mvn_file :%{name} %{name}
%mvn_package :%{name}::tests:

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sun Sep 06 2015 gil cattaneo <puntogil@libero.it> 0.1.5-1
- update to 0.1.5

* Mon Sep 16 2013 gil cattaneo <puntogil@libero.it> 0.1.1-1
- initial rpm
